{ config, ... }:

{
  imports = [
    ./hardware-configuration.nix

    ../../../modules/services/nginx.nix
    ../../../modules/services/stirling.nix
  ];

  networking.hostName = "livre";
  boot.loader.grub.devices = [ "/dev/sda" ];

  crans = {
    enable = true;

    networking = {
      id = 40;
      srvNat.enable = true;
    };
  };

  services.nginx.virtualHosts = {
    "pdf.crans.org" = {
      locations."/" = {
        proxyPass = "http://localhost:${toString config.services.stirling-pdf.environment.SERVER_PORT}";
      };
    };
  };

  system.stateVersion = "24.11";
}
